| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Static Public Attributes | List of all members
FriendicaSmartyEngine Class Reference
Inheritance diagram for FriendicaSmartyEngine:

## Public Member Functions
| __construct ()
| replace_macros ($s, $r)
| get_markup_template ($file, $root='')
| get_intltext_template ($file, $root='')

## Static Public Attributes
static | $name ="smarty3"

## Constructor & Destructor Documentation

FriendicaSmartyEngine::__construct | ( |  | ) |

## Member Function Documentation

FriendicaSmartyEngine::get_intltext_template | ( |  | $file,
|  |  | $root = `''`
| ) |  |

FriendicaSmartyEngine::get_markup_template | ( |  | $file,
|  |  | $root = `''`
| ) |  |

Implements ITemplateEngine.

FriendicaSmartyEngine::replace_macros | ( |  | $s,
|  |  | $r
| ) |  |

Implements ITemplateEngine.

## Member Data Documentation

FriendicaSmartyEngine::$name ="smarty3"
| static

The documentation for this class was generated from the following file:

- include/friendica_smarty.php